<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.resource-adapters.resource-adapter.connection-definitions" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allocation-retry,allocation-retry-wait-millis,authentication-context,authentication-context-and-application,background-validation,background-validation-millis,blocking-timeout-wait-millis,capacity-decrementer-class,capacity-decrementer-properties,capacity-incrementer-class,capacity-incrementer-properties,class-name,connectable,elytron-enabled,enabled,enlistment,enlistment-trace,flush-strategy,idle-timeout-minutes,initial-pool-size,interleaving,jndi-name,max-pool-size,mcp,min-pool-size,no-recovery,no-tx-separate-pool,pad-xid,pool-fair,pool-prefill,pool-use-strict-min,recovery-authentication-context,recovery-credential-reference,recovery-elytron-enabled,recovery-password,recovery-plugin-class-name,recovery-plugin-properties,recovery-security-domain,recovery-username,same-rm-override,security-application,security-domain,security-domain-and-application,sharable,tracking,use-ccm,use-fast-fail,use-java-context,validate-on-match,wrap-xa-resource,xa-resource-timeout"/>
        <elem name="addr-params" value="profile,subsystem,resource-adapter,connection-definitions"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.resource-adapters"/>
    </annotation>
    <refs>
        <ref feature="subsystem.resource-adapters.resource-adapter"/>
        <ref feature="subsystem.resource-adapters"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="connectable" nillable="true" stability="default"/>
        <param name="recovery-password" nillable="true" stability="default"/>
        <param name="enlistment" nillable="true" stability="default"/>
        <param name="use-java-context" nillable="true" stability="default"/>
        <param name="recovery-elytron-enabled" nillable="true" stability="default"/>
        <param name="same-rm-override" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="resource-adapters"/>
        <param name="sharable" nillable="true" stability="default"/>
        <param name="pool-use-strict-min" nillable="true" stability="default"/>
        <param name="tracking" nillable="true" stability="default"/>
        <param name="pad-xid" nillable="true" stability="default"/>
        <param name="mcp" nillable="true" stability="default"/>
        <param name="authentication-context-and-application" nillable="true" stability="default"/>
        <param name="capacity-decrementer-class" nillable="true" stability="default"/>
        <param name="recovery-plugin-class-name" nillable="true" stability="default"/>
        <param name="no-recovery" nillable="true" stability="default"/>
        <param name="recovery-credential-reference" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="xa-resource-timeout" nillable="true" stability="default"/>
        <param name="background-validation" nillable="true" stability="default"/>
        <param name="class-name" stability="default"/>
        <param name="security-domain" nillable="true" stability="default"/>
        <param name="background-validation-millis" nillable="true" stability="default"/>
        <param name="no-tx-separate-pool" nillable="true" stability="default"/>
        <param name="wrap-xa-resource" nillable="true" stability="default"/>
        <param name="allocation-retry" nillable="true" stability="default"/>
        <param name="elytron-enabled" nillable="true" stability="default"/>
        <param name="idle-timeout-minutes" nillable="true" stability="default"/>
        <param name="recovery-plugin-properties" nillable="true" stability="default"/>
        <param name="allocation-retry-wait-millis" nillable="true" stability="default"/>
        <param name="capacity-incrementer-properties" nillable="true" stability="default"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="enlistment-trace" nillable="true" stability="default"/>
        <param name="security-domain-and-application" nillable="true" stability="default"/>
        <param name="capacity-incrementer-class" nillable="true" stability="default"/>
        <param name="use-fast-fail" nillable="true" stability="default"/>
        <param name="pool-prefill" nillable="true" stability="default"/>
        <param name="authentication-context" nillable="true" stability="default"/>
        <param name="blocking-timeout-wait-millis" nillable="true" stability="default"/>
        <param name="use-ccm" nillable="true" stability="default"/>
        <param name="min-pool-size" nillable="true" stability="default"/>
        <param name="initial-pool-size" nillable="true" stability="default"/>
        <param name="flush-strategy" nillable="true" stability="default"/>
        <param name="pool-fair" nillable="true" stability="default"/>
        <param name="validate-on-match" nillable="true" stability="default"/>
        <param name="capacity-decrementer-properties" nillable="true" stability="default"/>
        <param name="interleaving" nillable="true" stability="default"/>
        <param name="jndi-name" stability="default"/>
        <param name="max-pool-size" nillable="true" stability="default"/>
        <param name="security-application" nillable="true" stability="default"/>
        <param name="resource-adapter" feature-id="true"/>
        <param name="recovery-authentication-context" nillable="true" stability="default"/>
        <param name="recovery-security-domain" nillable="true" stability="default"/>
        <param name="recovery-username" nillable="true" stability="default"/>
        <param name="connection-definitions" feature-id="true"/>
    </params>
</feature-spec>